Bug 888693 - org.infinispan.marshall.MarshalledValueTest.testModificationsOnSameCustomKey fails constantly on all environments
Summary: org.infinispan.marshall.MarshalledValueTest.testModificationsOnSameCustomKey ...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER8
: 6.1.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 09:24 UTC by Anna Manukyan
Modified: 2013-10-07 00:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-2658 0 Major Resolved org.infinispan.marshall.MarshalledValueTest.testModificationsOnSameCustomKey fails constantly on all environments 2013-07-08 10:34:53 UTC

Description Anna Manukyan 2012-12-19 09:24:47 UTC
org.infinispan.marshall.MarshalledValueTest.testModificationsOnSameCustomKey  fails constantly on all environments (RHEL, Windows, Solaris - JDK7, Open JDK7, IBM JDK7).

The error message is:

Error Message

Serialization count: expected 4 but was 5

Stacktrace

java.lang.AssertionError: Serialization count: expected 4 but was 5
	at org.infinispan.marshall.MarshalledValueTest.assertSerializationCounts(MarshalledValueTest.java:135)
	at org.infinispan.marshall.MarshalledValueTest.testModificationsOnSameCustomKey(MarshalledValueTest.java:452)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)

Comment 1 JBoss JIRA Server 2012-12-20 15:41:14 UTC
Galder Zamarreño <galder.zamarreno> made a comment on jira ISPN-2658

TRACE log

Comment 2 JBoss JIRA Server 2013-01-08 12:20:40 UTC
Galder Zamarreño <galder.zamarreno> updated the status of jira ISPN-2658 to Coding In Progress

Comment 3 JBoss JIRA Server 2013-01-08 17:34:54 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-2658

Integrated. Thanks!

Comment 4 Anna Manukyan 2013-01-21 10:01:23 UTC
Verified - the issue doesn't appear any more. Thanks!

Comment 5 JBoss JIRA Server 2013-02-06 18:02:46 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-2658

I stumbled upon this failure again on 5.2.0.final:

{noformat}
Tests run: 2541, Failures: 1, Errors: 0, Skipped: 0, Time elapsed: 401.202 sec <<< FAILURE!
testModificationsOnSameCustomKey(org.infinispan.marshall.MarshalledValueTest)  Time elapsed: 0.01 sec  <<< FAILURE!
java.lang.AssertionError: Serialization count: expected 5 but was 4
	at org.infinispan.marshall.MarshalledValueTest.assertSerializationCounts(MarshalledValueTest.java:135)
	at org.infinispan.marshall.MarshalledValueTest.testModificationsOnSameCustomKey(MarshalledValueTest.java:458)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:714)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:901)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1231)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:662)
{noformat}

Comment 6 JBoss JIRA Server 2013-02-06 18:03:47 UTC
Adrian Nistor <anistor> updated the status of jira ISPN-2658 to Reopened

Comment 7 JBoss JIRA Server 2013-02-06 18:03:47 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-2658

Re-occurred. Will add logs soon.

Comment 8 JBoss JIRA Server 2013-02-06 18:06:53 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-2658

Re-occurred. See attached MarshalledValueTest.log

Comment 9 JBoss JIRA Server 2013-02-07 15:35:58 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-2658

This test is very brittle and the failure was introduced by ISPN-2803.


Note You need to log in before you can comment on or make changes to this bug.